doctype html
head
  meta(charset='UTF-8')
  meta(name='description' content='Web3 Domain Resolver')
  meta(name='keywords' content='Web3,unstoppabledomains,crypto,blockchain,resolve')
  meta(name='author' content='Fyion')
  meta(name='viewport' content='width=device-width, initial-scale=1.0')
style.
  input[type=text], select {
  width: 80%;
  padding: 12px 20px;
  text-align: center;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  }
  input[type=submit] {
  width: 20%;
  background-color: #efc003;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 10px;
  justify-content: center;
  align-items: center;
  align-self: center;
  cursor: pointer;
  }
  input[type=submit]:hover {
  background-color: #efc003;
  }
  button {
  width: 40%;
  background-color: #efc003;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 10px;
  justify-content: center;
  align-items: center;
  align-self: center;
  cursor: pointer;
  }
  .center {
  display: flex;
  justify-content: center;
  align-items: center;
  }
  div {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
  margin: 20px;
  }
script.
  var base_url = window.location.origin;
  function GetData() {
  var inputValue = document.getElementById("domainValueId").value;
  const uri = 'https://rack.meg.im/resolve' + '/resolve/'+inputValue;
  fetch( uri )
  .then( response =>
  {
  if ( response.status !== 200 )
  {
  console.log( 'Looks like there was a problem. Status Code: ' +
  response.status );
  return;
  }
  return response.json();
  }
  )
  .then( myJson =>
  {
  window.open(`https://gateway.ipfs.io/ipfs/${myJson.address}`, '_blank');
  } )
  .catch( err =>
  {
  console.log( 'Fetch Error :-S', err );
  } );
  }
div
  .center
    label(for='fname') Web3 Domain Resolver
    br
  .center
    input#domainValueId(type='text' name='firstname' placeholder='Web3 Domain...')
  .center
    // <input type="submit" id="getData" value="Resolve" onclick="GetData">
    button#getData(onclick='GetData()') Open
  .center
    // <input type="submit" id="getData" value="Resolve" onclick="GetData">
    p#resolvedDomain
